//-----------------------------------------------------------------------------
// Title      : bsp_ub008_mk3_lcd2
//-----------------------------------------------------------------------------
// Funktion   : LCD Test2
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 06.02.2010
// Version    : 1.0
// Autor      : UB
// LinkerOption:    -Wl,-u,vfprintf -lprintf_flt -lm
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LCD.h>
#include <ub_mk3_2560/MK3_2560_ADC.h>



//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-C+A muss gesetzt sein
// - zeichnet verschiedene Texte und Zahlen auf das Display
// - Zwei Potis Port-F0 und Port-F1 anschliessen
// - Potistellung wird am Display angezeigt
//-----------------------------------------------------------------------------
int main (void)
{
	unsigned int n;
	char led_wert=0;
	char x,y;
	unsigned int ad_wert;

	MK3_INIT_LCD();					// init des LCD
	MK3_INIT_ADC();
	
	MK3_LCD_CLEAR();				// LCD loeschen
	MK3_LCD_LIGHT(true);			// beleuchtung einschalten
	
	MK3_LCD_SETCURSOR(0,0);
	MK3_LCD_PRINT_STRING("Hallo");
	
	MK3_LCD_STRING_AT(7,8,"Leute");

	MK3_LCD_SETCURSOR(20,16);
	MK3_LCD_PRINT_UINT(12345);  // zahl ausgeben
	
	MK3_LCD_FLOAT_AT(50,16,13.1415);


	while (true)
	{
		ad_wert=MK3_ADC_READ_CH(ADC0);
		MK3_LCD_UINT_AT(20,32,ad_wert);
		
		ad_wert=MK3_ADC_MITTEL_CH(ADC1,MW_8);
		MK3_LCD_UINT_AT(20,48,ad_wert);		

	}
	return 0;
}
//-----------------------------------------------------------------------------
