//-----------------------------------------------------------------------------
// Title      : bsp_ub036_mk3_lcd3
//-----------------------------------------------------------------------------
// Funktion   : LCD Test3
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 14.12.2011
// Version    : 1.0
// Autor      : UB
// LinkerOption:    -Wl,-u,vfprintf -lprintf_flt -lm
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LCD.h>



//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-C+A muss gesetzt sein
// - zeichnet verschieden formatierte Zahlen auf das Display
//-----------------------------------------------------------------------------
int main (void)
{
	MK3_INIT_LCD();					// init des LCD
	
	MK3_LCD_CLEAR();				// LCD loeschen
	MK3_LCD_LIGHT(true);			// beleuchtung einschalten
	
	MK3_LCD_STRING_AT(0,0,"LCD-Test3");
	
    // unsigned zahlen anzeigen
    MK3_LCD_SETCURSOR(0,16);
    MK3_LCD_PRINT_UTYP(123,DEZ_U5); // mit 5 ziffern
    MK3_LCD_SETCURSOR(0,24);
    MK3_LCD_PRINT_UTYP(123,DEZ_U0); // ohne fuehrende null
    MK3_LCD_SETCURSOR(0,32);
    MK3_LCD_PRINT_UTYP(123,HEX_U3); // hex mit 3 ziffern
    
    // signed zahlen anzeigen
    MK3_LCD_SETCURSOR(40,16);
    MK3_LCD_PRINT_STYP(123,DEZ_S5); // mit 5 ziffern
    MK3_LCD_SETCURSOR(40,24);
    MK3_LCD_PRINT_STYP(123,DEZ_S0); // ohne fuehrende null
    MK3_LCD_SETCURSOR(40,32);
    MK3_LCD_PRINT_STYP(-123,DEZ_S5);// mit 5 ziffern 
    
    // float zahlen anzeigen
    MK3_LCD_SETCURSOR(0,48);
    MK3_LCD_PRINT_FTYP(12.345,FLT_5P2); // mit 5 ziffern und 2 nachkomma
    MK3_LCD_SETCURSOR(0,56);
    MK3_LCD_PRINT_FTYP(12.345,FLT_3P1); // mit 3 ziffern und 1 nachkomma
    
	while (true)
	{

	}
	return 0;
}
//-----------------------------------------------------------------------------
