//-----------------------------------------------------------------------------
// Title      : bsp_ub044_mk3_lcd6
//-----------------------------------------------------------------------------
// Funktion   : LCD Test6
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 24.05.2012
// Version    : 1.0
// Autor      : UB
// LinkerOption:    -Wl,-u,vfprintf -lprintf_flt -lm
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LCD.h>



//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-C+A muss gesetzt sein
// - zeichnet verschieden Texte auf das Display (PIXELGENAU)
//-----------------------------------------------------------------------------
int main (void)
{
    MK3_INIT_LCD();				// init des LCD
	
    MK3_LCD_CLEAR();				// LCD loeschen
    MK3_LCD_LIGHT(true);			// beleuchtung einschalten
	
    MK3_LCD_STRING_AT(0,0,"LCD-Test6");
    
    // Normale Zeilen
    MK3_LCD_STRING_AT(0,16,"Y=16");
    MK3_LCD_STRING_AT(0,24,"Y=24");
    MK3_LCD_STRING_AT(0,32,"Y=32");
    MK3_LCD_STRING_AT(0,40,"Y=40");
    MK3_LCD_STRING_AT(0,48,"Y=48");
    MK3_LCD_STRING_AT(0,56,"Y=56");
	
    // Text Pixelgenau anzeigen
    MK3_LCD_STRING_PX(25,17,"Y=17");
    MK3_LCD_STRING_PX(25,36,"Y=36");
    MK3_LCD_STRING_PX(25,43,"Y=43");

    // Zahl Pixelgenau anzeigen
    MK3_LCD_STRING_PX(70,1,"Y=1:");
    MK3_LCD_UTYP_PX(95,1,123,DEZ_U5);
    
    while (true)
    {

    }
    return 0;
}
//-----------------------------------------------------------------------------
